%define name    jackeq
%define version 0.4.0
%define release 1

%define	desktop_vendor	startcom
%define desktop_utils   %(if which desktop-file-install &>/dev/null ; then echo "yes" ; fi)

Summary:      Audio routing and manipulation tool for Jack
Name:         %{name}
Version:      %{version}
Release:      %{release}%{?dist}
URL:          http://jackeq.sourceforge.net
Source0:      jackEQ-%{version}.tar.gz
License:      GPL
Group:        Applications/Multimedia
BuildRoot:    %{_tmppath}/%{name}-root

BuildRequires: pkgconfig gtk2-devel jack-audio-connection-kit-devel 
BuildRequires: libxml2-devel ladspa-devel

%description
jackEQ is a tool for routing and manipulating audio from/to multiple
input/output sources. It runs in the JACK Audio Connection Kit, and
uses LADSPA for its backend DSP work, specifically the DJ EQ swh
plugin created by Steve Harris, one of jackEQ's main authors. jackEQ
is intended to provide an accessible method for tweaking the treble,
mid and bass of any JACK aware applications output. Designed
specifically for live performance, it is modelled on varous DJ mixing
consoles which the main author has used.

%prep
%setup -q -n jackEQ-%{version}

%build
%configure
CFLAGS="-g " make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

cat << EOF > %{desktop_vendor}-%{name}.desktop
[Desktop Entry]
Name=Jackeq
Comment=JACK control application
Icon=jackeq.xpm
Exec=%{_bindir}/%{name}
Terminal=false
Type=Application
EOF

%if "%{desktop_utils}" == "yes"
  mkdir -p %{buildroot}%{_datadir}/applications
  desktop-file-install --vendor %{desktop_vendor} \
    --dir %{buildroot}%{_datadir}/applications    \
    --add-category X-StartCom-Base                 \
    --add-category Application                    \
    --add-category AudioVideo                     \
    %{desktop_vendor}-%{name}.desktop
%else
  install -d $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Multimedia
  install %{desktop_vendor}-%{name}.desktop $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Multimedia/
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%{_bindir}/jackeq
%{_datadir}/jackeq
%if "%{desktop_utils}" == "yes"
%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop
%else
%attr(644,root,root) %{_sysconfdir}/X11/applnk/Multimedia/%{desktop_vendor}-%{name}.desktop
%endif

%changelog
* Mon Apr 10 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x
* Mon May 30 2005 Eddy Nigg <eddy_nigg@startcom.org>
- more changes for StartCom Linux 4.0.x

* Sat May  8 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added proper buildrequires
* Sun Feb 29 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.0-1
- updated to 0.4.0
* Wed Dec  3 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.8-1
- updated to 0.3.8
* Tue Dec  2 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.6-1
- updated to 0.3.6
* Mon Oct 13 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.4-1
- initial build
